Bug 235811 - SELinux prevents sonypi from working properly VAIO VGN-FS285H
SELinux prevents sonypi from working properly VAIO VGN-FS285H
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-10 06:01 EDT by Hervé Riboulot
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 10:17:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hervé Riboulot 2007-04-10 06:01:48 EDT
Description of problem:

Environment is: VAIO VGN-FS285H, FC7 Test updated. CPU: M740

I quote the SEtroubleshoot message

Summary
    SELinux is preventing /usr/libexec/hal-system-sonypic (hald_t) "read" to
    sonypi (v4l_device_t).

Detailed Description
    SELinux denied access requested by /usr/libexec/hal-system-sonypic. It is
    not expected that this access is required by /usr/libexec/hal-system-sonypic
    and this access may signal an intrusion attempt. It is also possible that
    the specific version or configuration of the application is causing it to
    require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for sonypi, restorecon -v sonypi If
    this does not work, there is currently no automatic way to allow this
    access. Instead,  you can generate a local policy module to allow this
    access - see http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you
    can disable SELinux protection altogether. Disabling SELinux protection is
    not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Additional Information        

Source Context                system_u:system_r:hald_t
Target Context                system_u:object_r:v4l_device_t
Target Objects                sonypi [ chr_file ]
Affected RPM Packages         hal-0.5.9-1.fc7 [application]
Policy RPM                    selinux-policy-2.5.11-4.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.20-1.3045.fc7 #1
                              SMP Wed Apr 4 19:20:07 EDT 2007 i686 i686
Alert Count                   17
First Seen                    dim 01 avr 2007 19:20:59 CEST
Last Seen                     mar 10 avr 2007 10:01:59 CEST
Local ID                      1537cfc9-48b9-48cc-9afa-0fcbe84a4369
Line Numbers                  

Raw Audit Messages            

avc: denied { read } for comm="hal-system-sony" dev=tmpfs egid=0 euid=0
exe="/usr/libexec/hal-system-sonypic" exit=-13 fsgid=0 fsuid=0 gid=0 items=0
name="sonypi" pid=2255 scontext=system_u:system_r:hald_t:s0 sgid=0
subj=system_u:system_r:hald_t:s0 suid=0 tclass=chr_file
tcontext=system_u:object_r:v4l_device_t:s0 tty=(none) uid=0

Version-Release number of selected component (if applicable):

SELinux policy: 2.5.11-5 FC7

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results: 

restorecon -v sonypi does not work

Expected results:


Additional info:
Comment 1 Daniel Walsh 2007-04-10 10:58:09 EDT
Could you try 

chcon -t hald_sonypic_exec_t /usr/libexec/hal-system-sonypic

And see if it works?
Comment 2 Hervé Riboulot 2007-04-10 11:11:20 EDT
I did try. Here is the output:

# chcon -t hald_sonypic_exec_t /usr/libexec/hal-system-sonypic
chcon: failed to change context of /usr/libexec/hal-system-sonypic to
system_u:object_r:hald_sonypic_exec_t: Argument invalide

No need to translate this French written assertion ...p-) I guess it will be
quite understood in Shakeaspeare's favorite langage.   



Comment 3 Daniel Walsh 2007-04-10 14:04:27 EDT
Fixed in  selinux-policy-2.5.11-8.fc7
Comment 4 Daniel Walsh 2007-08-22 10:17:32 EDT
Should be fixed in the current release

Note You need to log in before you can comment on or make changes to this bug.